## ssdeep 1.1

=== Makefile ===

CC       = gcc
CFLAGS   = -Wall -W -O3
GOAL     = ssdeep
LINK_OPT = 

# Where we get installed
PREFIX = /usr/local

# Directory where cross-compiliation tools live (see INSTALL for info)
CR_BASE = $(HOME)/mingw32/mingw32/bin

# You shouldn't need to change anything below this line
#---------------------------------------------------------------------
VERSION = 1.1

# Comment out this line when debugging is done
#CFLAGS += -D_DEBUG -O0 -ggdb

CFLAGS += -DVERSION=\"$(VERSION)\"

SRC = main.c edit_dist.c match.c engine.c helpers.c dig.c cycles.c
OBJ = main.o edit_dist.o match.o engine.o helpers.o dig.o cycles.o
HEADERS = Makefile main.h
DOCS = COPYING CHANGES INSTALL FILEFORMAT $(GOAL).1 

#---------------------------------------------------------------------

all: linux

linux: CFLAGS += -D__LINUX -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
linux: $(GOAL)

unix: $(GOAL)

mac: $(GOAL)

macg5: CFLAGS += -fast
macg5: $(GOAL)

cross: CC = $(CR_BASE)/gcc
cross: CFLAGS += -static
cross: SUFFIX = .exe
cross: LINK_OPT += -liberty
cross: $(GOAL)
	$(CR_BASE)/strip $(GOAL)$(SUFFIX)

$(GOAL): $(OBJ)
	$(CC) $(CFLAGS) -o $(GOAL)$(SUFFIX) $(OBJ) $(LINK_OPT)

$(OBJ): $(HEADERS)

#---------------------------------------------------------------------

install: $(GOAL)
	install -d $(PREFIX)/bin $(PREFIX)/man/man1
	install -m 755 $(GOAL) $(PREFIX)/bin
	install -m 644 $(GOAL).1 $(PREFIX)/man/man1

uninstall:
	rm -f -- $(PREFIX)/bin/$(GOAL) $(PREFIX)/man/man1/$(GOAL).1

#---------------------------------------------------------------------

# Anything in the code that needs further attention is marked with the
# letters 'RBF', which stand for "Remove Before Flight." This is similar
# to how aircraft are marked with streamers to indicate maintaince is
# required before the plane can fly. Typing 'make preflight' will do a
# check for all RBF tags; thus showing the developer what needs to be
# fixed before the program can be released.
preflight:
	@grep RBF $(SRC) *.h $(DOCS)

nice:
	rm -f *~

clean: nice
	rm -f $(OBJ) $(GOAL) $(GOAL).exe $(TAR_FILE).gz $(DEST_DIR).zip
	rm -rf $(DEST_DIR) $(WINDOC)

#---------------------------------------------------------------------
# MAKING PACKAGES
#-------------------------------------------------------------------------
EXTRA_FILES =
DEST_DIR = $(GOAL)-$(VERSION)
TAR_FILE = $(DEST_DIR).tar
PKG_FILES = $(SRC) $(HEADERS) $(DOCS) $(EXTRA_FILES)
WINDOC = FILEFORMAT.txt CHANGES.txt README.txt COPYING.txt
ZIP_FILES = $(GOAL).exe $(WINDOC)

# This packages me up to send to somebody else
package_dir:
	rm -f $(TAR_FILE) $(TAR_FILE).gz
	mkdir $(DEST_DIR)
	cp $(PKG_FILES) $(DEST_DIR)

package: package_dir
	tar cvf $(TAR_FILE) $(DEST_DIR)
	rm -rf $(DEST_DIR)
	gzip $(TAR_FILE)

win-doc:
	man ./$(GOAL).1 | col -bx > README.txt
	cp FILEFORMAT FILEFORMAT.txt
	cp CHANGES CHANGES.txt
	cp COPYING COPYING.txt
	unix2dos $(WINDOC)

ZIP_FLAGS=-r9
internal: ZIP_FLAGS+= -e 
internal: world

world: clean package_dir win-doc cross
	zip $(ZIP_FLAGS) $(DEST_DIR).zip $(GOAL).exe $(WINDOC) $(DEST_DIR)
	rm -rf $(WINDOC) $(DEST_DIR)

## ssdeep 2.6

=== debian/changelog ===
ssdeep (2.6-1) unstable; urgency=low

  * Team upload.

  [ Christophe Monniez ]
  * Adding upstream version 2.6.
  * Split the libfuzzy library from the ssdeep package.

  [ Michael Prokop ]
  * Switch to 3.0 (quilt) source package format.
  * Drop debian/ssdeep.lintian-overrides (since we provide dev-pkg nowadays).
  * Fix depends on libfuzzy2 in libfuzzy-dev.
  * debian/rules: adjust debug package name.

  [ Julien Valroff ]
  * Use autotools-dev
  * Bump debhelper compat to 8
  * Bump Standards-Version to 3.9.2
  * Drop useless source lintian overrides

 -- Julien Valroff <julien@debian.org>  Fri, 03 Jun 2011 09:30:39 +0200

ssdeep (2.5-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Minimizing rules file.
  * Adding stuff in rules that doesn't get done by dh automatically.

  [ Christophe Monniez ]
  * Fixing VCS fields in control file.
  * Bumping standards version to 3.8.4.
  * Merging upstream version 2.5.

  [ Michael Prokop ]
  * Build-Depend on debhelper (>= 7.0.50~).

 -- Michael Prokop <mika@debian.org>  Mon, 31 May 2010 10:24:08 +0200

ssdeep (2.2-1) unstable; urgency=low

  * Merging upstream version 2.2.

 -- Michael Prokop <mika@debian.org>  Sat, 25 Jul 2009 00:47:42 +0200

ssdeep (2.1-2) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding comment to lintian overrides.
  * Adding source lintian overrides.
  * Adding autotools-dev to build-depends.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:48:21 +0200

ssdeep (2.1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.

  [ Christophe Monniez ]
  * Merging upstream version 2.1.

  [ Daniel Baumann ]
  * Updating to standards 3.8.1.
  * Updating year in copyright file.
  * Passing flags directly to configure.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:42:22 +0200

ssdeep (2.0-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 2.0 in debian branch.
  * Fixing rules for 2.0 version.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Correcting a couple of cosmetic things in rules.
  * Adding dh_makeshlibs call in rules file.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2008 18:16:00 +0200

ssdeep (1.1-3) unstable; urgency=low

  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control file.
  * Adding full license headers to copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:13:00 +0200

ssdeep (1.1-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Fixing spelling typo in long description.
  * Using a full sentence in head of long description.

  [ Christophe Monniez ]
  * Adding verbosity in the long description (Closes #476219).

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 May 2008 09:20:00 +0200

ssdeep (1.1-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #468956).

  [ Daniel Baumann ]
  * Moving manpages to FHS location.
  * Adding ITP bug number to changelog.
  * Correcting make call in install target of rules.
  * Removing useless debhelper dirs file.
  * Rewriting rules.
  * Rewriting copyright file in machine-readable form.
  * Adding FILEFORMAT to docs.
  * Setting architecture to any.
  * Rewrap package description.
  * Adding homepage field in control.
  * Adding vcs fields in control.
  * Updating maintainer fields.
  * Changing package section to optional.
  * Bumping package to standards 3.7.3.
  * Bumping package to debhelper 6.
  * Removing useless whitespaces.

 -- Christophe Monniez <christophe.monniez@fccu.be>  Fri, 25 Jan 2008 10:32:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,-z,defs

%:
	dh ${@} --with autotools_dev

override_dh_strip:
	dh_strip --dbg-package=libfuzzy2-dbg

## ssdeep 2.7

=== debian/changelog ===
ssdeep (2.7-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Thu, 09 Jan 2014 00:07:45 -0500

ssdeep (2.7-2) unstable; urgency=low

  [ Christophe Monniez ]
  * [8c07aaa] Adding the missing Breaks+Replaces (Closes #694368).

 -- Michael Prokop <mika@debian.org>  Thu, 06 Dec 2012 14:19:39 +0100

ssdeep (2.7-1) unstable; urgency=low

  * Team upload.

  [ Julien Valroff ]
  * Update DEP-5 copyright syntax

  [ Christophe Monniez ]
  * Imported Upstream version 2.7

 -- Julien Valroff <julien@debian.org>  Wed, 12 Oct 2011 20:22:30 +0200

=== debian/control ===
Source: ssdeep
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://ssdeep.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=forensics/ssdeep.git
Vcs-Git: git://git.debian.org/forensics/ssdeep.git

Package: ssdeep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Recursive piecewise hashing tool
 ssdeep is a tool for recursive computing and matching of Context Triggered
 Piecewise Hashing (aka Fuzzy Hashing).
 .
 Fuzzy hashing is a method for comparing similar but not identical files.
 This tool can be used to compare files like regular hashing does (like
 md5sum or sha1sum) but it will find similar files with little differences.
 .
 For example, it can be used to identify modified versions of known files
 even if data has been inserted, modified, or deleted in the new files.

Package: libfuzzy2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:   ssdeep (<< 2.6)
Replaces: ssdeep (<< 2.6)
Description: Recursive piecewise hashing tool (library)
 ssdeep is a tool for recursive computing and matching of Context Triggered
 Piecewise Hashing (aka Fuzzy Hashing).
 .
 Fuzzy hashing is a method for comparing similar but not identical files.
 This tool can be used to compare files like regular hashing does (like
 md5sum or sha1sum) but it will find similar files with little differences.
 .
 For example, it can be used to identify modified versions of known files
 even if data has been inserted, modified, or deleted in the new files.
 .
 This package contains the library.

Package: libfuzzy2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libfuzzy-dev (= ${binary:Version})
Description: Recursive piecewise hashing tool (debugging symbols)
 ssdeep is a tool for recursive computing and matching of Context Triggered
 Piecewise Hashing (aka Fuzzy Hashing).
 .
 Fuzzy hashing is a method for comparing similar but not identical files.
 This tool can be used to compare files like regular hashing does (like
 md5sum or sha1sum) but it will find similar files with little differences.
 .
 For example, it can be used to identify modified versions of known files
 even if data has been inserted, modified, or deleted in the new files.
 .
 This package contains the debugging symbols.

Package: libfuzzy-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfuzzy2 (= ${binary:Version})
Breaks:   ssdeep (<< 2.6)
Replaces: ssdeep (<< 2.6)
Description: Recursive piecewise hashing tool (development headers)
 ssdeep is a tool for recursive computing and matching of Context Triggered
 Piecewise Hashing (aka Fuzzy Hashing).
 .
 Fuzzy hashing is a method for comparing similar but not identical files.
 This tool can be used to compare files like regular hashing does (like
 md5sum or sha1sum) but it will find similar files with little differences.
 .
 For example, it can be used to identify modified versions of known files
 even if data has been inserted, modified, or deleted in the new files.
 .
 This package contains the developments files.

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,-z,defs

%:
	dh ${@} --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libfuzzy2-dbg

=== debian/watch ===
version=3
http://sf.net/ssdeep/ssdeep-(.+)\.tar\.gz

## ssdeep 2.12

=== debian/changelog ===
ssdeep (2.12-1) unstable; urgency=medium

  * Team upload.
  * Imported upstream version 2.12 (Closes: #764357)
    + Drop patch enable_shared_library.patch (applied).
  * Declare compliance with policy version 3.9.6: no changes needed

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 Oct 2014 18:57:33 +0200

ssdeep (2.11-1) unstable; urgency=medium

  * Team upload.
  * Imported upstream version 2.11 (Closes: #741431)
    + New thread-safe libfuzzy API functions (Closes: #721217)
      Update debian/libfuzzy2.symbols
    + No longer uses PATH_MAX
    + Fixes hash scoring (Closes: #760817)
    + Fixes memory leak (CloseS: #702551)
  * Add patch to build shared library again
  * Declare compliance with policy version 3.9.5: no changes needed
  * Switch from autotools-dev to dh-autoreconf to support new architectures
    (Closes: #734912)
  * Fix changelog syntax for 2.7-2: missing clonon after "Closes".
  * Bump to debhelper compat level 9.
    + Hardening just works
    + Multi-Arch paths (update debian/*.install)
  * Convert to Multi-Arch
  * Update debian/copyright.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 16 Sep 2014 09:55:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ssdeep
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.6
 Homepage: http://ssdeep.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=forensics/ssdeep.git
 Vcs-Git: git://git.debian.org/forensics/ssdeep.git
@@ -13,6 +12,7 @@
 Package: ssdeep
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Recursive piecewise hashing tool
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
@@ -28,8 +28,10 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Breaks:   ssdeep (<< 2.6)
 Replaces: ssdeep (<< 2.6)
+Multi-Arch: same
 Description: Recursive piecewise hashing tool (library)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
@@ -48,6 +50,7 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, libfuzzy-dev (= ${binary:Version})
+Multi-Arch: same
 Description: Recursive piecewise hashing tool (debugging symbols)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
@@ -67,6 +70,7 @@
 Depends: ${misc:Depends}, libfuzzy2 (= ${binary:Version})
 Breaks:   ssdeep (<< 2.6)
 Replaces: ssdeep (<< 2.6)
+Multi-Arch: same
 Description: Recursive piecewise hashing tool (development headers)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).

## ssdeep 2.13

=== debian/changelog ===
ssdeep (2.13-3) unstable; urgency=medium

  * Team upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Fixed the licensing for some files.
      - Updated the packaging copyright years.
  * debian/libfuzzy2.docs: renamed to libfuzzy-dev.docs.
  * debian/libfuzzy-dev.install: added the libfuzzy.a.
  * debian/patches/10_fix-spelling-final-executable.patch: created.
  * debian/rules: removed the '--with autoreconf' because it is default
    in DH 10.
  * debian/watch:
      - Bumped to version 4.
      - Fixed the searching.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Nov 2016 20:03:49 -0200

ssdeep (2.13-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 17 Jun 2015 11:59:58 -0300

ssdeep (2.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #703808, #781568)
  * debian/control:
      - Added the word 'forensics' to long description.
      - Updated the Vcs-* fields.
  * debian/copyright: full updated.
  * debian/libfuzzy2.docs: added to install the README file.
  * debian/libfuzzy2.symbols: updated.
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
      - Added the override_dh_installdocs target to install the 'NEWS' file in
        all binaries.
      - Removed the old-style definition about the LDFLAGS.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 12 Jun 2015 18:19:28 -0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
-Homepage: http://ssdeep.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=forensics/ssdeep.git
-Vcs-Git: git://git.debian.org/forensics/ssdeep.git
+Build-Depends: debhelper (>= 10), dh-autoreconf
+Standards-Version: 3.9.8
+Homepage: http://ssdeep.sf.net
+Vcs-Browser: https://anonscm.debian.org/git/forensics/ssdeep.git
+Vcs-Git: https://anonscm.debian.org/git/forensics/ssdeep.git
 
 Package: ssdeep
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
-Description: Recursive piecewise hashing tool
+Description: recursive piecewise hashing tool
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
  .
@@ -23,16 +23,18 @@
  .
  For example, it can be used to identify modified versions of known files
  even if data has been inserted, modified, or deleted in the new files.
+ .
+ This package is useful in forensics investigations.
 
 Package: libfuzzy2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks:   ssdeep (<< 2.6)
+Breaks: ssdeep (<< 2.6)
 Replaces: ssdeep (<< 2.6)
 Multi-Arch: same
-Description: Recursive piecewise hashing tool (library)
+Description: recursive piecewise hashing tool (library)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
  .
@@ -49,9 +51,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libfuzzy-dev (= ${binary:Version})
+Depends: libfuzzy-dev (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: Recursive piecewise hashing tool (debugging symbols)
+Description: recursive piecewise hashing tool (debugging symbols)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
  .
@@ -67,11 +69,11 @@
 Package: libfuzzy-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libfuzzy2 (= ${binary:Version})
-Breaks:   ssdeep (<< 2.6)
+Depends: libfuzzy2 (= ${binary:Version}), ${misc:Depends}
+Breaks: ssdeep (<< 2.6)
 Replaces: ssdeep (<< 2.6)
 Multi-Arch: same
-Description: Recursive piecewise hashing tool (development headers)
+Description: recursive piecewise hashing tool (development headers)
  ssdeep is a tool for recursive computing and matching of Context Triggered
  Piecewise Hashing (aka Fuzzy Hashing).
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=libfuzzy2-dbg

override_dh_installdocs:
	dh_installdocs -A NEWS

=== debian/watch ===
version=4
http://sf.net/ssdeep/ssdeep-(\d[\d\.]+).*\.tar\.(?:bz2|gz|xz)

## ssdeep 2.14

=== debian/changelog ===
ssdeep (2.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * New upstream homepage.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Removed no longer needed build dependency dh-autoreconf.
      - Removed the obsolete package libfuzzy2-dbg.
  * debian/copyright:
      - Added a new upstream.
      - Updated upstream and packaging copyright years.
  * debian/rules: removed no longer needed target override_dh_strip.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 18 Sep 2017 11:45:29 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
-Build-Depends: debhelper (>= 10), dh-autoreconf
-Standards-Version: 3.9.8
-Homepage: http://ssdeep.sf.net
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.0.0
+Homepage: https://github.com/ssdeep-project/ssdeep
 Vcs-Browser: https://anonscm.debian.org/git/forensics/ssdeep.git
 Vcs-Git: https://anonscm.debian.org/git/forensics/ssdeep.git
 
@@ -47,25 +47,6 @@
  .
  This package contains the library.
 
-Package: libfuzzy2-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: libfuzzy-dev (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: recursive piecewise hashing tool (debugging symbols)
- ssdeep is a tool for recursive computing and matching of Context Triggered
- Piecewise Hashing (aka Fuzzy Hashing).
- .
- Fuzzy hashing is a method for comparing similar but not identical files.
- This tool can be used to compare files like regular hashing does (like
- md5sum or sha1sum) but it will find similar files with little differences.
- .
- For example, it can be used to identify modified versions of known files
- even if data has been inserted, modified, or deleted in the new files.
- .
- This package contains the debugging symbols.
-
 Package: libfuzzy-dev
 Section: libdevel
 Architecture: any

## ssdeep 2.14.1+git20180629.57fcfff

=== debian/changelog ===
ssdeep (2.14.1+git20180629.57fcfff-3) unstable; urgency=medium

  * Team Upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Migrated DH level to 13.
  * debian/copyright:
      - Added full text for GPL-2 license.
      - Converted the last paragraph of the GPL-3 in a comment.
      - Updated packaging copyright data.
  * debian/not-installed: created to list the file libfuzzy.la.
  * debian/tests/control:
      - Removed not needed Depends field.
      - Set smoke as superficial.
  * debian/watch: updated the search rule to make it compliant
    with new standards of the GitHub.

  [ Jan Gru ]
  * Add autopkgtests for testing package functionality.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Dec 2022 18:15:06 -0300

ssdeep (2.14.1+git20180629.57fcfff-2) unstable; urgency=medium

  * Team Upload

  [ Raphaël Hertzog ]
  * Drop Christophe Monniez from Uploaders

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1
  * Configure git-buildpackage for Debian
  * Add salsa-ci.yml
  * d/control: Add 'Rules-Requires-Root: no'
  * d/libfuzzy2.symbols: Add 'Build-Depends-Package' field
  * d/copyright: Add standalone License entries for GPL2 and GPL-2+

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/control: Remove empty control field Uploaders.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 01 Feb 2021 00:35:33 +0000

ssdeep (2.14.1+git20180629.57fcfff-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Remove the patch which was merged in the new release
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/copyright:
    - Fix insecure copyright format URI
   d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 08 Sep 2018 23:01:32 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ssdeep
 Section: admin
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.0
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ssdeep-project/ssdeep
-Vcs-Browser: https://anonscm.debian.org/git/forensics/ssdeep.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/ssdeep.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/ssdeep
+Vcs-Git: https://salsa.debian.org/pkg-security-team/ssdeep.git
 
 Package: ssdeep
 Architecture: any

=== debian/tests/control ===
Tests: smoke
Restrictions: superficial

Tests: simple-functest, file-functest, match-functest

=== debian/watch ===
version=4
https://github.com/ssdeep-project/ssdeep/tags .*/.*-?(\d\S+)\.tar\.(?:bz2|gz|xz)
